org.richfaces.ui.select

## Class SelectManyHelper

- java.lang.Object
- - org.richfaces.ui.select.SelectManyHelper

-     public class SelectManyHelper
      extends Object

  Author:
    Brian Leathem

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BUTTON_CSS`
    `static String` | `BUTTON_CSS_DIS`
    `static String` | `CELL_CSS`
    `static Comparator<ClientSelectItem>` | `clientSelectItemComparator`
    `static String` | `ITEM_CSS`
    `static String` | `ITEM_CSS_DIS`
    `static com.google.common.base.Predicate<ClientSelectItem>` | `SELECTED_PREDICATE`
    `static com.google.common.base.Predicate<ClientSelectItem>` | `UNSELECTED_PREDICATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectManyHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `encodeHeader(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, SelectManyRendererBase renderer, String rowClass, String cellClass)`
    `static void` | `encodeItems(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, Iterator<ClientSelectItem> clientSelectItems, String cssPrefix)`
    `static void` | `encodeOneRow(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, SelectManyRendererBase renderer, ClientSelectItem clientSelectItem, String cssPrefix)`
    `static void` | `encodeRows(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, SelectManyRendererBase renderer, Iterator<ClientSelectItem> clientSelectItems, String cssPrefix)`
    `static List<ClientSelectItem>` | `getClientSelectItems(javax.faces.context.FacesContext facesContext, AbstractSelectManyComponent select, Iterator<javax.faces.model.SelectItem> selectItems)`
    `static Object` | `getConvertedValue(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, Object val)`
    `static javax.faces.convert.Converter` | `getItemConverter(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `static javax.faces.component.UISelectItems` | `getPseudoSelectItems(SelectItemsInterface selectItemsInterface)`
    `static javax.faces.convert.Converter` | `getSelectItemConverter(javax.faces.application.Application facesApplication, Iterator<javax.faces.model.SelectItem> selectItems)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CELL_CSS

          public static final String CELL_CSS

      See Also:
        Constant Field Values

    - #### ITEM_CSS

          public static final String ITEM_CSS

      See Also:
        Constant Field Values

    - #### ITEM_CSS_DIS

          public static final String ITEM_CSS_DIS

      See Also:
        Constant Field Values

    - #### BUTTON_CSS

          public static final String BUTTON_CSS

      See Also:
        Constant Field Values

    - #### BUTTON_CSS_DIS

          public static final String BUTTON_CSS_DIS

      See Also:
        Constant Field Values

    - #### clientSelectItemComparator

          public static Comparator<ClientSelectItem> clientSelectItemComparator

    - #### SELECTED_PREDICATE

          public static com.google.common.base.Predicate<ClientSelectItem> SELECTED_PREDICATE

    - #### UNSELECTED_PREDICATE

          public static com.google.common.base.Predicate<ClientSelectItem> UNSELECTED_PREDICATE

  - ### Constructor Detail

    - #### SelectManyHelper

          public SelectManyHelper()

  - ### Method Detail

    - #### encodeHeader

          public static void encodeHeader(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent component,
                          SelectManyRendererBase renderer,
                          String rowClass,
                          String cellClass)
                                   throws IOException

      Throws:
        `IOException`

    - #### encodeRows

          public static void encodeRows(javax.faces.context.FacesContext facesContext,
                        javax.faces.component.UIComponent component,
                        SelectManyRendererBase renderer,
                        Iterator<ClientSelectItem> clientSelectItems,
                        String cssPrefix)
                                 throws IOException

      Throws:
        `IOException`

    - #### encodeOneRow

          public static void encodeOneRow(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent component,
                          SelectManyRendererBase renderer,
                          ClientSelectItem clientSelectItem,
                          String cssPrefix)
                                   throws IOException

      Throws:
        `IOException`

    - #### encodeItems

          public static void encodeItems(javax.faces.context.FacesContext facesContext,
                         javax.faces.component.UIComponent component,
                         Iterator<ClientSelectItem> clientSelectItems,
                         String cssPrefix)
                                  throws IOException

      Throws:
        `IOException`

    - #### getClientSelectItems

          public static List<ClientSelectItem> getClientSelectItems(javax.faces.context.FacesContext facesContext,
                                                    AbstractSelectManyComponent select,
                                                    Iterator<javax.faces.model.SelectItem> selectItems)

    - #### getConvertedValue

          public static Object getConvertedValue(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent component,
                                 Object val)
                                          throws javax.faces.convert.ConverterException

      Throws:
        `javax.faces.convert.ConverterException`

    - #### getItemConverter

          public static javax.faces.convert.Converter getItemConverter(javax.faces.context.FacesContext facesContext,
                                                       javax.faces.component.UIComponent component)

    - #### getSelectItemConverter

          public static javax.faces.convert.Converter getSelectItemConverter(javax.faces.application.Application facesApplication,
                                                             Iterator<javax.faces.model.SelectItem> selectItems)

    - #### getPseudoSelectItems

          public static javax.faces.component.UISelectItems getPseudoSelectItems(SelectItemsInterface selectItemsInterface)

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.